<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qxgmat.data.relation.ExercisePaperRelationMapper">
  <resultMap id="IdMap" type="com.qxgmat.data.dao.entity.ExercisePaper">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
  </resultMap>
  <sql id="Id_Column_List">
    <!--
      WARNING - @mbg.generated
    -->
    ep.`id`
  </sql>

  <!--获取考点分组所有考点信息-->
  <select id="groupPlace" resultMap="IdMap">
    select
    <include refid="Id_Column_List" />
    from `exercise_paper` ep
    where ep.`logic` = "place" and ep.`status` = 1
    group by ep.`logic_extend`
  </select>
</mapper>